org.apache.poi.hwpf.model

## Class FontTable

- java.lang.Object
- - org.apache.poi.hwpf.model.FontTable

-     @Internal
      public final class FontTable
      extends java.lang.Object

  FontTable or in MS terminology sttbfffn is a common data structure written in all Word files. The sttbfffn is an sttbf where each string is an FFN structure instead of pascal-style strings. An sttbf is a string Table stored in file. Thus sttbffn is like an Sttbf with an array of FFN structures that stores the font name strings
  Author:
    Praveen Mathew

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FontTable(byte[] buf, int offset, int lcbSttbfffn)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)`
    `java.lang.String` | `getAltFont(int chpFtc)`
    `short` | `getExtraDataSz()`
    `Ffn[]` | `getFontNames()`
    `java.lang.String` | `getMainFont(int chpFtc)`
    `int` | `getSize()`
    `short` | `getStringCount()`
    `int` | `hashCode()`
    `void` | `setStringCount(short stringCount)`
    `void` | `writeTo(java.io.ByteArrayOutputStream tableStream)`
    `void` | `writeTo(HWPFFileSystem sys)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FontTable

          public FontTable(byte[] buf,
                           int offset,
                           int lcbSttbfffn)

  - ### Method Detail

    - #### getStringCount

          public short getStringCount()

    - #### getExtraDataSz

          public short getExtraDataSz()

    - #### getFontNames

          public Ffn[] getFontNames()

    - #### getSize

          public int getSize()

    - #### getMainFont

          public java.lang.String getMainFont(int chpFtc)

    - #### getAltFont

          public java.lang.String getAltFont(int chpFtc)

    - #### setStringCount

          public void setStringCount(short stringCount)

    - #### writeTo

          @Deprecated
          public void writeTo(HWPFFileSystem sys)
                                   throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### writeTo

          public void writeTo(java.io.ByteArrayOutputStream tableStream)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.